API Key

GET /v1/responses/{id}

API Key · GET /v1/responses/{id}

Authentication

API Key. Session/administrative writes are not executed in the public Playground.

Endpoint

curl --request GET 'https://api.oneaster.ai/v1/responses/resp_00000000-0000-4000-8000-000000000001' \
  --header 'Authorization: Bearer '"$ONEASTER_API_KEY"

Parameters

- id (path, Required): {"type":"string","pattern":"^resp_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$","description":"当前账号与 API Key 的本地 Response ID;不接受供应商 response ID。"}

Responses

200

Read an owned locally stored response

{
  "content": {
    "application/json": {
      "schema": {}
    }
  },
  "headers": {}
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "success": {
            "const": false
          },
          "error": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "type": {
                "const": "oneaster_error"
              }
            },
            "required": [
              "code",
              "message",
              "type"
            ]
          },
          "data": {
            "type": "null"
          }
        },
        "required": [
          "success",
          "error",
          "data"
        ]
      }
    }
  },
  "headers": {}
}